Subject: Re: [PATCH v2] Documentation: updated documentation for git commit --date

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Mar 2021 10:28:07 -0700

Chinmoy Chakraborty <[email-masked]> writes:

>> [Footnote]
>>
>> *1* The approxidate is useful when a rough "around that time"
>>      specification suffices, e.g. "git log --since='last.week'".  The
>>      user is OK to see commits down to roughly a week old, and would
>>      not be upset if a commit with a timestamp that is 9 days old
>>      shown.
>>
>>      On the other hand, it would be unusual that somebody cares
>>      enough to use "git commit --date" but yet it is OK that the time
>>      recorded is fuzzy.  For that reason alone, I am in general
>>      negative on the direction this patch tries to take us in.
>
> So according to you, is it a relevant/worthwhile change
>
> to add in docs?

That depends on the "docs".

If we do not hint that relative dates are also usable, in addition
to the more common date formats like RFC2822 and ISO8601, for "log
--since" and other options that are used to specify a boundary for
looking up existing things, extending their documentation may be
worth doing.

Giving 'tea' and other oddities at the top as if they are more
important than the formats that is used to give more precise input
for options that are used to specify what timestamp is recorded in
an object the command is about to create would be a change with
negative value.

Thanks.